Package org.bukkit.plugin

# Enum Class PluginLoadOrder

java.lang.Object
java.lang.Enum<PluginLoadOrder>
org.bukkit.plugin.PluginLoadOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<PluginLoadOrder>`, `Constable`

public enum PluginLoadOrder extends Enum<PluginLoadOrder>
Represents the order in which a plugin should be initialized and enabled

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`POSTWORLD`
Indicates that the plugin will be loaded after the first/default world was created
`STARTUP`
Indicates that the plugin will be loaded at startup

## Method Summary

Modifier and Type
Method
Description
`static PluginLoadOrder`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PluginLoadOrder[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STARTUP

public static final PluginLoadOrder STARTUP
Indicates that the plugin will be loaded at startup

### POSTWORLD

public static final PluginLoadOrder POSTWORLD
Indicates that the plugin will be loaded after the first/default world was created

## Method Details

### values

public static PluginLoadOrder[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PluginLoadOrder valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null